Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class DecimalSymbols

    java.lang.Object
      net.sf.saxon.trans.DecimalSymbols

All Implemented Interfaces:
  Serializable

    public class DecimalSymbols

extends Object
implements Serializable

This class is modelled on Java's DecimalFormatSymbols, but it allows the use of any Unicode character to represent symbols such as the decimal point and the grouping separator, whereas DecimalFormatSymbols restricts these to a char (1-65535). Since this is essentially a data structure with no behaviour, we don't bother with getter and setter methods but just expose the fields

See Also:
  Serialized Form

Field Summary
`int` | `decimalSeparator`
`int` | `digit`
`int` | `groupingSeparator`
`String` | `infinity`
`int` | `minusSign`
`String` | `NaN`
`int` | `patternSeparator`
`int` | `percent`
`int` | `permill`
`int` | `zeroDigit`

Constructor Summary
`DecimalSymbols()`

Method Summary
`void` | `checkDistinctRoles()` Check that no character is used in more than one role
`boolean` | `equals(Object obj)` Test if two sets of decimal format symbols are the same
`int` | `hashCode()`
`boolean` | `isValidZeroDigit()` Check that the character declared as a zero-digit is indeed a valid zero-digit

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decimalSeparator

    public int decimalSeparator

### groupingSeparator

    public int groupingSeparator

### digit

    public int digit

### minusSign

    public int minusSign

### percent

    public int percent

### permill

    public int permill

### zeroDigit

    public int zeroDigit

### patternSeparator

    public int patternSeparator

### infinity

    public String infinity

### NaN

    public String NaN

Constructor Detail

### DecimalSymbols

    public DecimalSymbols()

Method Detail

### checkDistinctRoles

    public void checkDistinctRoles()
                            throws XPathException

  Check that no character is used in more than one role

  Throws:
    `XPathException`

### isValidZeroDigit

    public boolean isValidZeroDigit()
                             throws XPathException

  Check that the character declared as a zero-digit is indeed a valid zero-digit

  Returns:
    false if it is not a valid zero-digit
  Throws:
    `XPathException`

### equals

    public boolean equals(Object obj)

  Test if two sets of decimal format symbols are the same

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the other set of symbols
  Returns:
    true if the same characters/strings are assigned to each role in both sets of symbols

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.